/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gestionnaire.gui;

import gestionnaire.Gestionnaire;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JDialog;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.filechooser.FileNameExtensionFilter;
import personnage.Hero;
import personnage.Monstre;

class AddPersonnageDialogUI extends JDialog {

    Gestionnaire gestionnaire;

    public AddPersonnageDialogUI(JFrame owner, Gestionnaire gestionnaire, String title) {
        // Third argument? DOCUMENT MODAL blocks user input JDialog.ModalityType.DOCUMENT_MODAL
        //super(owner, title);
        this.gestionnaire = gestionnaire;
        AddPersonnagePanelUI add_perso = new AddPersonnagePanelUI();
        this.add(add_perso);
        this.setTitle("Ajouter Personnage");
        this.setSize(300, 150);
        this.setLocationRelativeTo(owner);
        this.setVisible(true);

    }

    class AddPersonnagePanelUI extends JPanel {

        JTextField perso_name;
        JTextField point_vie;
        JTextField point_force;
        JTextField arme_ou_type;
        JCheckBox hero;
        JCheckBox monstre;
        File file;

        public AddPersonnagePanelUI() {

            this.setLayout(new BorderLayout());

            /* A JPanel asking for a name and a file, centered in the main JPanel */
            JPanel centered_jpanel = new JPanel();
            centered_jpanel.setLayout(new GridLayout(6, 1));
            centered_jpanel.add(new JLabel("Nom perso :"));
            perso_name = new JTextField();
            centered_jpanel.add(perso_name);
            centered_jpanel.add(new JLabel("Point vie :"));
            point_vie = new JTextField();
            centered_jpanel.add(point_vie);
            centered_jpanel.add(new JLabel("Point force :"));
            point_force = new JTextField();
            centered_jpanel.add(point_force);
            centered_jpanel.add(new JLabel("arme ou type :"));
            arme_ou_type = new JTextField();
            centered_jpanel.add(arme_ou_type);
            centered_jpanel.add(new JLabel("Héro :"));
            hero = new JCheckBox();
            centered_jpanel.add(hero);
            centered_jpanel.add(new JLabel("Monstre :"));
            monstre = new JCheckBox();
            centered_jpanel.add(monstre);


            this.add(centered_jpanel, BorderLayout.CENTER);

            /* A Button ok placed South of the main JPanel */
            JButton button_ok = new JButton("Valider");
            this.add(button_ok, BorderLayout.SOUTH);
            class ButtonOkAL implements ActionListener {

                public void actionPerformed(ActionEvent e) {
                    if (!(hero.isSelected() && monstre.isSelected())) {
                        // if(hero.isSelected() )
                        //Hero hero = new Hero(perso_name.getText(), point_vie.getText() ,point_force.getText(), arme_ou_type.getText());
                        //if(monstre.isSelected()) 
                        //Monstre monstre = new Monstre(perso_name.getText(), point_vie.getText(),point_force.getText()                                           , arme_ou_type.getText());
                    } else {
                        JOptionPane.showMessageDialog(AddPersonnageDialogUI.this, "Le perso ne peut être que d'un seul genre !!",
                                "Erreur", JOptionPane.ERROR_MESSAGE);
                    }
                }
            }


            button_ok.addActionListener(new ButtonOkAL());
        }
    }
}