package personnage;

public abstract class Personnage {
	protected int point_vie;
	protected int point_force;
	protected String nom;

	/**
	 * @param nom
	 * @param point_vie
	 * @param point_force
	 */
	public Personnage( String nom, int point_vie, int point_force) {
		super();
		this.point_vie = point_vie;
		this.point_force = point_force;
		this.nom = nom;
	}

	
        @Override
	public String toString() {
		return "Nom : " + nom + " vie : " + point_vie + " force : " + point_force;
	}

	public int getVie() {
		return point_vie;
	}

	public int getForce() {
		return point_force;
	}

	public String getNom() {
		return nom;
	}
	
	public abstract String toBase();

}